## imcode.util
Class Html

    java.lang.Object
      imcode.util.Html

    public class Html

extends java.lang.Object

Method Summary
`static java.lang.String` `createOptionList(java.util.Collection allValues, java.util.Collection selectedValues, ToStringPairTransformer objectToStringPairTransformer)`
`static java.lang.String` `createOptionList(java.util.Collection allValues, java.lang.Object[] selectedValues, ToStringPairTransformer objectToStringPairTransformer)`
`static java.lang.String` `createOptionList(java.util.Collection allValues, java.lang.Object selectedValue, ToStringPairTransformer objectToStringPairTransformer)`
`static java.lang.String` `createOptionList(java.util.Collection allValues, java.util.Set selectedValues, ToStringPairTransformer objectToStringPairTransformer)`
`static java.lang.String` `createOptionList(java.util.Collection allValues, ToStringPairTransformer transformer)`
`static java.lang.String` `createOptionList(java.util.List allValues, java.util.List selectedValues)` Deprecated.
`static java.lang.String` `createOptionList(java.util.List data, java.lang.String selected)` Deprecated.
`static java.lang.String` `createOptionListOfCategories(java.util.Collection categories, CategoryTypeDomainObject categoryType)`
`static java.lang.String` `createOptionListOfCategoriesOfTypeForDocument(CategoryMapper categoryMapper, CategoryTypeDomainObject categoryType, DocumentDomainObject document, javax.servlet.http.HttpServletRequest request)`
`static java.lang.String` `createOptionListOfCategoriesOfTypeNotSelectedForDocument(DocumentMapper documentMapper, CategoryTypeDomainObject categoryType, DocumentDomainObject document)`
`static java.lang.String` `createUsersOptionList(ImcmsServices imcref)`
`static java.lang.String` `getAdminButtons(UserDomainObject user, DocumentDomainObject document, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Returns the menubuttonrow
`static java.lang.String` `getLinkedStatusIconTemplate(DocumentDomainObject document, UserDomainObject user, javax.servlet.http.HttpServletRequest request)`
`static java.lang.String` `getStatusIconTemplate(DocumentDomainObject document, UserDomainObject user)`
`static java.lang.String` `hidden(java.lang.String name, java.lang.String value)`
`static java.lang.String` `option(java.lang.String elementValue, java.lang.String content, boolean selected)`
`static java.lang.String` `radio(java.lang.String name, java.lang.String value, boolean selected)`
`static java.lang.String` `removeTags(java.lang.String html)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createOptionList

    public static java.lang.String createOptionList(java.util.List allValues,
                                                    java.util.List selectedValues)

  Deprecated.

### createOptionList

    public static java.lang.String createOptionList(java.util.Collection allValues,
                                                    ToStringPairTransformer transformer)

### createOptionList

    public static java.lang.String createOptionList(java.util.Collection allValues,
                                                    java.lang.Object selectedValue,
                                                    ToStringPairTransformer objectToStringPairTransformer)

### createOptionList

    public static java.lang.String createOptionList(java.util.Collection allValues,
                                                    java.lang.Object[] selectedValues,
                                                    ToStringPairTransformer objectToStringPairTransformer)

### createOptionList

    public static java.lang.String createOptionList(java.util.Collection allValues,
                                                    java.util.Collection selectedValues,
                                                    ToStringPairTransformer objectToStringPairTransformer)

### createOptionList

    public static java.lang.String createOptionList(java.util.Collection allValues,
                                                    java.util.Set selectedValues,
                                                    ToStringPairTransformer objectToStringPairTransformer)

### createOptionList

    public static java.lang.String createOptionList(java.util.List data,
                                                    java.lang.String selected)

  Deprecated.

### createOptionListOfCategoriesOfTypeForDocument

    public static java.lang.String createOptionListOfCategoriesOfTypeForDocument(CategoryMapper categoryMapper,
                                                                                 CategoryTypeDomainObject categoryType,
                                                                                 DocumentDomainObject document,
                                                                                 javax.servlet.http.HttpServletRequest request)

### createOptionListOfCategoriesOfTypeNotSelectedForDocument

    public static java.lang.String createOptionListOfCategoriesOfTypeNotSelectedForDocument(DocumentMapper documentMapper,
                                                                                            CategoryTypeDomainObject categoryType,
                                                                                            DocumentDomainObject document)

### createOptionListOfCategories

    public static java.lang.String createOptionListOfCategories(java.util.Collection categories,
                                                                CategoryTypeDomainObject categoryType)

### getLinkedStatusIconTemplate

    public static java.lang.String getLinkedStatusIconTemplate(DocumentDomainObject document,
                                                               UserDomainObject user,
                                                               javax.servlet.http.HttpServletRequest request)

### getStatusIconTemplate

    public static java.lang.String getStatusIconTemplate(DocumentDomainObject document,
                                                         UserDomainObject user)

### option

    public static java.lang.String option(java.lang.String elementValue,
                                          java.lang.String content,
                                          boolean selected)

### hidden

    public static java.lang.String hidden(java.lang.String name,
                                          java.lang.String value)

### radio

    public static java.lang.String radio(java.lang.String name,
                                         java.lang.String value,
                                         boolean selected)

### getAdminButtons

    public static java.lang.String getAdminButtons(UserDomainObject user,
                                                   DocumentDomainObject document,
                                                   javax.servlet.http.HttpServletRequest request,
                                                   javax.servlet.http.HttpServletResponse response)

  Returns the menubuttonrow

### removeTags

    public static java.lang.String removeTags(java.lang.String html)

### createUsersOptionList

    public static java.lang.String createUsersOptionList(ImcmsServices imcref)